Subject: [multipathtcp] [Technical Errata Reported] RFC6824 (4129)

From: RFC Errata System <[email-masked]>
Date: Sat, 11 Oct 2014 04:59:53 -0700 (PDT)

The following errata report has been submitted for RFC6824,
"TCP Extensions for Multipath Operation with Multiple Addresses".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6824&eid=4129

--------------------------------------
Type: Technical
Reported by: Friedrich Haussmann <[email-masked]>

Section: B.1.1.

Original Text
-------------
MPTCP.Checksum (flag):  This flag is set to true if at least one of
      the hosts has set the C bit in the MP_CAPABLE options exchanged
      during connection establishment, and is set to false otherwise.
      If this flag is set, the checksum must be computed in all DSS
      options.

Corrected Text
--------------
MPTCP.Checksum (flag):  This flag is set to true if at least one of
      the hosts has set the A bit in the MP_CAPABLE options exchanged
      during connection establishment, and is set to false otherwise.
      If this flag is set, the checksum must be computed in all DSS
      options.

Notes
-----
Checksum is not on bit "C", but instead on bit "A". There are no other instances of referring on bit "C" as the checksum. Bit "C" is unassigned in this version.

Other instances of bit "A" as checksum:
* Section 3.1. Connection Initiation, p. 16 f.
* Section 8. IANA Considerations, Table 3: MPTCP Handshake Algorithms, p. 56

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6824 (draft-ietf-mptcp-multiaddressed-12)
--------------------------------------
Title               : TCP Extensions for Multipath Operation with Multiple Addresses
Publication Date    : January 2013
Author(s)           : A. Ford, C. Raiciu, M. Handley, O. Bonaventure
Category            : EXPERIMENTAL
Source              : Multipath TCP
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Yoshifumi Nishida <[email-masked]>
Date: Fri, 17 Oct 2014 00:14:52 -0700

Hi,
I think this errata is right.
Since we're preparing 6824bis, this should be reflected in the new version.
Any thoughts?
--
Yoshi

On Sat, Oct 11, 2014 at 4:59 AM, RFC Errata System <
[email-masked]> wrote:

> Checksum is not on bit "C", but instead on bit "A". There are no other
> instances of referring on bit "C" as the checksum. Bit "C" is unassigned in
> this version.
>